Subject: Bug#1156: [X2Go-Dev] Bug#1156: SSH daemon could not be started

From: [email-masked]
Date: Tue, 13 Feb 2018 11:50:31 +0100

On Mon, 29 Jan 2018 13:55:07 +0100
Gromit <[email-masked]> wrote:
> Had this same problem under Windows 10.
> 
> Started x2goclient.debug --debug and it showed me that the
> permissions for the ssh_host_rsa_key are too open (0770).
> 
> Installed cygwin to check these permissions under windows and the
> user- and groupname where the same username. The rights where 700.
> Somehow the rights for the group where inherited from the user when
> they have the same owner/group-name.
> 
> Fixed it by changing the group for ssh_host_rsa_key from the username
> to 'Users' under cygwin.

Thanks so much for this workaround!

I can confirm that I am experiencing the exact same issue on all the
Windows 10 installations at work, and that the workaround is working.